import java.io.PrintStream;
import java.util.Arrays;
import java.util.Scanner;

/**
 * Solution to Contest Construction
 * 
 * @author vanb
 */
public class contest_vanb
{
    /** Input. */
    private static Scanner sc;
    
    /** Output. */
    private static PrintStream ps;
    
    /**
     * Do it!
     */
    private void doit()
    {
        int n = sc.nextInt();
        int m = sc.nextInt();
        
        // count[i][j][k] is the number of ways of putting together a problem set of size k+1 
        // where problem i and problem j are the two problems in the set with the highest ratings.
        long count[][][] = new long[n][n][m];
        for( int i=0; i<n; i++ ) for( int j=0; j<n; j++ ) Arrays.fill( count[i][j], 0L );
        
        // Read & sort the ratings
        int ratings[] = new int[n];
        for( int i=0; i<n; i++ ) ratings[i] = sc.nextInt();
        Arrays.sort( ratings );
        
        // For a problem set of size 3...
        for( int i=0; i<n; i++ ) for( int j=i+1; j<n; j++ ) for( int k=j+1; k<n; k++ )
        {
             if( ratings[i]+ratings[j]>=ratings[k] ) ++count[j][k][2]; 
        }
        
        // For problem sets of size 4+
        for( int p=3; p<m; p++ ) 
        {
            for( int i=0; i<n; i++ ) for( int j=i+1; j<n; j++ ) if( count[i][j][p-1]>0 ) for( int k=j+1; k<n; k++ )
            {
                // Can we increase the size of the set by 1 by including problem k?
                // How many ways can we do that?
                if( ratings[i]+ratings[j]>=ratings[k] ) count[j][k][p] += count[i][j][p-1]; 
            }
        }
        
        long total = 0L;
        for( int i=0; i<n; i++ ) for( int j=i+1; j<n; j++ ) total += count[i][j][m-1];
        
        ps.println( total );
    }
        
    /**
     * Main.
     * 
     * @param args unused
     * @throws Exception
     */
    public static void main( String[] args ) throws Exception
    {
        sc = new Scanner( System.in );
        ps = System.out;
        
        new contest_vanb().doit();
    }

}
